Last Comment Bug 625841 - Reword email notifications for Questions
: Reword email notifications for Questions
Status: VERIFIED FIXED
u=user c=questions s=2012.4 p=1
:
Product: support.mozilla.org
Classification: Other
Component: Questions (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: 2012-03-06
Assigned To: Tanay Gavankar [:tgavankar]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-14 11:41 PST by [:Cww]
Modified: 2012-03-01 12:32 PST (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description [:Cww] 2011-01-14 11:41:15 PST
One of the simplest (I hope) things to make Questions better is to reword the emails that we currently send out to be friendlier.  I'm assigning myself the task of actually writing the new emails but will reassign once they're done for implementation.

The emails I'm talking about:

The "confirm your question" email.
The "someone has posted a response" email.

I think that's it, but I'll take a quick look in the folder and see if there are other emails to reword.
Comment 1 [:Cww] 2011-01-14 11:42:39 PST
And by "assigning myself" I mean "adding one extra piece bugspam to your collective inboxes"
Comment 2 Bram Pitoyo [:bram] 2012-02-02 07:09:48 PST
Here’s an email draft of what it could look like.

Title:
[username] commented on a Firefox question you’re watching

Body:
Hi bram,

cor-el commented on a Firefox question on support.mozilla.org:
[http://support.mozilla.org/questions/123#answer-305 How do I set the home page for a new tab?]

cor-el wrote:
“Lorem ipsum dolor sit amet”

[http://support.mozilla.org/questions/123#answer-305 See the comment]

[https://support.mozilla.org/questions/916862/vote/305732?helpful Yes! This comment is helpful!]

Help other Firefox users by [https://support.mozilla.org/questions?filter=unsolved browsing for unsolved questions on support.mozilla.org]. You might just make someone's day!
Comment 3 Kadir Topal [:atopal] 2012-02-14 06:43:08 PST
unfortunately these have to be plain text emails, Bram. Could you provide another round without wiki markup?
Comment 4 Bram Pitoyo [:bram] 2012-02-14 07:07:38 PST
Would writing an HTML email be hard to do? I think we’re already sending HTML ones today. But I can adapt to plain text if needed.

HTML

Title:
(username) commented on a Firefox question you’re watching

Body:
Hi (username),

(username) commented on a Firefox question on support.mozilla.org:
<a href="http://support.mozilla.org/questions/123#answer-305" target="_blank">How do I set the home page for a new tab?</a>

cor-el wrote:
“quoted text”

<a href="http://support.mozilla.org/questions/123#answer-305" target="_blank">See the comment</a>

If this comment is helpful, <a href="https://support.mozilla.org/questions/916862/vote/305732?helpful" target="_blank">vote on it</a>.

Help other Firefox users by <a href="https://support.mozilla.org/questions?filter=unsolved" target="_blank">browsing for unsolved questions on support.mozilla.org</a>. You might just make someone's day!
Comment 5 James Socol [:jsocol, :james] 2012-02-14 07:09:04 PST
(In reply to Bram Pitoyo [:bram] from comment #4)
> Would writing an HTML email be hard to do?

Yes.

> I think we’re already sending HTML ones today.

We're not.
Comment 6 Bram Pitoyo [:bram] 2012-02-14 08:28:48 PST
https://bugzilla.mozilla.org/show_bug.cgi?id=625841

Plain text version:

Title:
(username) commented on a Firefox question you’re watching

Body:
Hi (username),

(username) commented on a Firefox question on support.mozilla.org:
How do I set the home page for a new tab?
http://support.mozilla.org/questions/123#answer-305

(username) wrote:
“quoted text”

See the comment:
http://support.mozilla.org/questions/123#answer-305

If this comment is helpful, vote on it
https://support.mozilla.org/questions/916862/vote/305732?helpful

Help other Firefox users by browsing for unsolved questions on support.mozilla.org:
https://support.mozilla.org/questions?filter=unsolved

You might just make someone's day!
Comment 7 Bram Pitoyo [:bram] 2012-02-27 10:48:40 PST
Copy for “someone has posted a response” email. This one is directed for question creator.

Title:
(username) posted an answer to your question “(question title)”

Body:
Hi (username),

(username) posted an answer to your question on Mozilla Support:
(question title)
(solution url)

(username) wrote:
“(user post)”

See the answer:
(solution url)

If this answer solved your problem, please mark it as “solved”:
(solution url, solved link)
This will help other Firefox users find good answers to their questions!

Help other Firefox users by browsing for unsolved questions on support.mozilla.org:
https://support.mozilla.org/questions?filter=unsolved

You might just make someone’s day!
Comment 8 Tanay Gavankar [:tgavankar] 2012-02-27 13:15:14 PST
Done in https://github.com/mozilla/kitsune/commit/856fd5af
Comment 9 Rebecca Billings [:rbillings] 2012-03-01 12:32:57 PST
Verified email notification text changes.

Note You need to log in before you can comment on or make changes to this bug.